Bug 221282 - udf: support files larger than 1G
udf: support files larger than 1G
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
:
: 251127 (view as bug list)
Depends On:
Blocks: RHEL5u2_relnotes 425461
  Show dependency treegraph
 
Reported: 2007-01-03 10:36 EST by shrek-m
Modified: 2008-05-21 10:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2007-01-03 10:36:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
the max filesize on a "iomega rev 35 drive" is now limited at 1 gb.
<= fc5 could create tar-archives > 1 gb on this media
tar, cp, ... are now failing at 1 gb

# ll -h test.tar 
-rw-r--r-- 1 admin admin 1,9G  3. Jan 16:44 test.tar
# cp test.tar /media/REV_GHOST_DISK/
Die maximale Dateigröße ist überschritten (the max filesize is over...)
# ll -h /media/REV_GHOST_DISK/test.tar 
-rw-r--r-- 1 root root 1,0G  3. Jan 17:14 /media/REV_GHOST_DISK/test.tar


Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2869.fc6

How reproducible:
Always


Steps to Reproduce:
1. `tar cvf <rev-35-drive> <archive>`
2. try different media


Actual Results:
"Die maximale Dateigröße ist überschritten"
no archives > 1 gb


`tar czvf` stops at 1 gb without warning.
$ tar czvf /media/REV_GHOST_DISK/test.tgz path/
[...no warning...]
$ echo $?
141


# ll  test.t*
-rw-r--r-- 1 root  root  1073741824  3. Jan 17:14 test.tar
-rw-r--r-- 1 admin admin 1073741824  3. Jan 17:34 test.tgz


Expected Results:
should work as before, no 1 gb filesize limitation

Additional info:
# df -h /media/REV_GHOST_DISK/
Dateisystem          Größe Benut  Verf Ben% Eingehängt auf
/dev/scd0              33G  9,9G   23G  31% /media/REV_GHOST_DISK

# mount | grep scd0
/dev/scd0 on /media/REV_GHOST_DISK type udf (rw,noexec,nosuid,nodev,uid=500)

$ ulimit 
unlimited
Comment 1 shrek-m 2007-01-22 20:12:46 EST
ping
no rev - no backup
no risk - no fun
Comment 2 shrek-m 2007-01-22 20:13:23 EST
ping
no rev - no backup
no risk - no fun
Comment 3 shrek-m 2007-02-09 18:45:50 EST
fc7 test1 + rawhide updates = max. 1 gb filesize
rhel5 beta 1 = ma.x 1 gb filesize
Comment 4 shrek-m 2007-02-16 06:42:26 EST
fyi
the same rev-drive-usb and the same rev-media on he same macbook dualcore

ubuntu live desktop 6.06
kernel-2.6.15-26-386
  no limitation

ubuntu live desktop 6.10 
kernel-2.6.17-10-generic
  max filesize 1 gb


was there a change in the kernel or what is the reason for this limitation ?
Comment 5 shrek-m 2007-03-24 09:14:12 EDT
after 3 month absolutely no comment from redhat.
Comment 6 shrek-m 2007-03-24 09:20:08 EDT
fc6 -> rhel5

fyi
iomega rev drive 70 gb - sata
the same problem, max 1 gb filesize

# cat /proc/scsi/scsi 
[...]
Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: Iomega   Model: RRD2             Rev: P064
  Type:   CD-ROM                           ANSI SCSI revision: 05
Comment 7 shrek-m 2007-03-24 09:51:47 EDT
https://iomega-eu-en.custhelp.com/cgi-bin/iomega_eu_en.cfg/php/enduser/std_adp.php?p_faqid=14504&p_created=1080682009&p_sid=SCQJIlxi&p_lva=&p_sp=cF9zcmNoPTEmcF9zb3J0X2J5PSZwX2dyaWRzb3J0PSZwX3Jvd19jbnQ9NCZwX3NlYXJjaF90eXBlPXNlYXJjaF9mbmwmcF9wcm9kX2x2bDE9NjY5JnBfcHJvZF9sdmwyPTEwMTEmcF9jYXRfbHZsMT0mcF9zY2ZfYW5zd2VyX2NhdGVnb3J5PSZwX3BhZ2U9MSZwX3NlYXJjaF90ZXh0PWxpbWl0YXRpb24*&p_li=

REV drive file size limitations

Question
Does the Iomega® REV® drive have a file size limitation?
Answer
  	
Iomega® REV® drives use a unique disk format called the REV UDF format. The REV
UDF format can support file sizes up to 8TB, which is much larger than a REV
disk can actually hold. Any other file size limitations you may encounter are
most likely due to various backup programs that have their own file size
limitations, which are not related to the REV UDF file system format. Refer to
the backup software vendor for more information regarding file sizes.
Comment 8 Pete Zaitcev 2007-03-24 14:16:18 EDT
A bugzilla entry for RHEL without an Issue-Tracker ticket will be taken
as advisory.
Comment 9 Chuck Ebbert 2007-03-25 19:16:35 EDT
Six patches to fix some problems in UDF were posted to linux-kernel on
March 6 2007 by Jan Kara of Suse but they have not been merged into the
upstream kernel.

Thread title is "UDF cleanup and fixes"; all six patches were acked by
Christoph.
Comment 10 Eric Sandeen 2007-05-31 12:28:35 EDT
Jan has since posted a couple other patches in addition to that patchset, but
they still have issues (deadlocks)

the 1Gb limit was imposed some time ago as a quick fix for a security problem
(CVE-2006-4145).  Jan's patchset is almost ready to go, and will make it to
RHEL5 when it's ready.
Comment 11 shrek-m 2007-07-11 16:54:23 EDT
fyi

fc6
kernel-2.6.20-1.2962.fc6  >1 gb is ok

rhel 5 server
kernel-2.6.18-8.1.8.el5  max filesize =1gb
Comment 12 shrek-m 2007-09-14 04:07:41 EDT
fyi

rhel 5 server
  kernel-2.6.18-8.1.10.el5
    max filesize = 1gb


fc6
  kernel-2.6.22.5-49.fc6
    > 1 gb is ok
Comment 13 Eric Sandeen 2007-09-14 10:05:53 EDT
Yep, the newer kernels have the fix to safely allow >1gb again.  I have another
bug open (should probably dupe this to that, or vice versa) to get the upstream
fix into RHEL5.

Thanks,

-Eric
Comment 14 Eric Sandeen 2007-09-18 13:42:30 EDT
*** Bug 251127 has been marked as a duplicate of this bug. ***
Comment 15 Eric Sandeen 2007-09-18 13:44:59 EDT
Upstream patchset for this has had quite a lot of soak time, and I've worked w/
Jan to iron out a couple issues.  Would like to see this for 5.2.

Thanks,

-Eric
Comment 17 RHEL Product and Program Management 2007-11-01 19:55:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 Don Zickus 2007-12-17 14:35:56 EST
in 2.6.18-61.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 20 shrek-m 2008-01-03 08:59:31 EST
thanks,
no problems here on a test machine
tar-file >40gb
Comment 24 Don Domingo 2008-02-03 18:22:12 EST
added to RHEl5.2 release notes under "Resolved issues":

<quote>
REV UDF file sizes larger than 1GB are now supported.
</quote>
Comment 25 Don Domingo 2008-04-01 22:13:10 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 26 shrek-m 2008-04-02 03:31:16 EDT
intranet.corp.redhat.com is not reachable via internet


host redhat.com  has address 209.132.177.50
host corp.redhat.com  has address ??
host intranet.corp.redhat.com  has address ??
Comment 27 Eric Sandeen 2008-04-02 11:10:20 EDT
comment #25 was most likely intended for an internal audience, sorry about that.
Comment 28 Mike Gahagan 2008-05-01 17:06:12 EDT
I was able to  copy a 1.3GB file to a udf filesystem mounted on a loopback
device. It was extremely slow, but eventually it got there so I think this
particular bug is fixed.
Comment 30 errata-xmlrpc 2008-05-21 10:40:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.